%define anolis_release 1

Name:           check
Version:        0.15.2
Release:        %{anolis_release}%{?dist}
Summary:        A unit test framework for C
Source0:        https://github.com/libcheck/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
License:        LGPLv2+
URL:            https://libcheck.github.io/check/

BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  texinfo
BuildRequires:  graphviz

%description
Check is a unit test framework for C. It features a simple interface for 
defining unit tests, putting little in the way of the developer. Tests 
are run in a separate address space, so Check can catch both assertion 
failures and code errors that cause segmentation faults or other signals. 
The output from unit tests can be used within source code editors and IDEs.

%package devel
Summary:        Libraries and headers for developing programs with check
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Libraries and headers for developing programs with check

%package static
Summary:        Static libraries of check

%description static
Static libraries of check.

%package doc
Summary: Documentation for unit test framework for C
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The check-doc package includes documentation for the Check library.

%package checkmk
Summary:        Translate concise versions of test suites into C programs
License:        BSD
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description checkmk
The checkmk binary translates concise versions of test suites into C
programs suitable for use with the Check unit test framework.

%prep
%setup -q

%build
autoreconf -fi
%configure --disable-timeout-tests --enable-static
%make_build

%install
%make_install

# We will ship these files via other ways
rm -fr %{buildroot}%{_datadir}/doc/%{name}

%check
export LD_LIBRARY_PATH=$PWD/src/.libs
make check

%files
%license COPYING.LESSER
%{_libdir}/libcheck.so.0*
%{_infodir}/check*

%files devel
%doc doc/example
%{_includedir}/check.h
%{_includedir}/check_stdint.h
%{_libdir}/libcheck.so
%{_libdir}/pkgconfig/check.pc
%{_datadir}/aclocal/check.m4

#check used to be static only, hence this.
%files static
%license COPYING.LESSER
%{_libdir}/libcheck.a

%files doc
%doc AUTHORS NEWS

%files checkmk
%doc checkmk/README checkmk/examples
%doc checkmk/test
%{_bindir}/checkmk
%{_mandir}/man1/checkmk.1*

%changelog
* Thu Dec 8 2022 Funda Wang <fundawang@yeah.net> - 0.15.2-1
- Import 0.15.2-1
